Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.busybox.net/busybox.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--scripts/usage_compressed5
1 files changed, 3 insertions, 2 deletions
diff --git a/scripts/usage_compressed b/scripts/usage_compressed
index ce672db3b..59e93e669 100644
--- a/scripts/usage_compressed
+++ b/scripts/usage_compressed
@@ -7,6 +7,7 @@ test -x "$loc/usage" || exit 1
echo 'static const char packed_usage[] = '
"$loc"/usage | bzip2 -9 | od -v -t x1 \
-| sed -e 's/^[^ ]*//' -e 's/ \(..\)/\\x\1/g' -e 's/^\(.*\)$/"\1"/'
+| $SED -e 's/^[^ ]*//' -e 's/ \(..\)/\\x\1/g' -e 's/^\(.*\)$/"\1"/' || exit 1
echo ';'
-echo '#define SIZEOF_usage_messages' $((0 + `"$loc"/usage | wc -c `))
+sz=`"$loc"/usage | wc -c` || exit 1
+echo '#define SIZEOF_usage_messages' `expr 0 + $sz`